package gov.va.med.cds.clinicaldata;

public class DomainEntryPointWrapper
{
    private String name;
    private String domain;

    
    public String getName( )
    {
        return name;
    }


    public void setName( String name )
    {
        this.name = name;
    }


    public String getDomain( )
    {
        return domain;
    }


    public void setDomain( String domain )
    {
        this.domain = domain;
    }


    @Override
    public String toString( )
    {
        return name;
    }
   
    @Override
    public int hashCode( )
    {
        return (name + domain).hashCode();
    }
    
    @Override
    public boolean equals( Object obj )
    {
        if ( obj instanceof DomainEntryPointWrapper )
        {
            DomainEntryPointWrapper value = (DomainEntryPointWrapper)obj;
            if ( value.getName().equals( name ) && value.getDomain().equals( domain ) )
            {
                return true;
            }
        }
        return false;
    }
}
